Subject: bug#1833: 23.0.60; Bug in custom-set-variables sorting

From: Lennart Borgman <[email-masked]>
Date: Mon, 11 Jul 2011 18:02:39 +0200

On Mon, Jul 11, 2011 at 03:59, Glenn Morris <[email-masked]> wrote:
>
> This simply is not comprehensible without a recipe that shows the
> problem.

Could you please read the second paragraph of the bug report? Here it
is again, a bit rephrased:

  if the first of the two symbol compared has a dependency
  list and the seond not have that, then the first symbol must
  be sorted after the second.

I sent this bug report more than two years ago, but as I remember it
now the sort function did not properly do the comparison if one of the
symbols lacked a dependency list.

This is what I tried to fix in the code. And I think this is the code
I once implemented in my patched version of Emacs+EmacsW32. (I might
have done some changes later, the code is on the web.)